diff -rupN original/app/code/core/Mage/Core/Controller/Varien/Router/Admin.php modified/app/code/core/Mage/Core/Controller/Varien/Router/Admin.php
--- original/app/code/core/Mage/Core/Controller/Varien/Router/Admin.php	2010-02-12 19:24:53.000000000 +0000
+++ modified/app/code/core/Mage/Core/Controller/Varien/Router/Admin.php	2015-05-22 11:33:43.686821594 +0100
@@ -86,4 +86,15 @@ class Mage_Core_Controller_Varien_Router
     {
         return Mage::app()->getStore(Mage_Core_Model_App::ADMIN_STORE_ID)->getBaseUrl('link', true).ltrim($request->getPathInfo(), '/');
     }
+	
+    /**
+     * Check if current controller instance is allowed in current router.
+     * 
+     * @param Mage_Core_Controller_Varien_Action $controllerInstance
+     * @return boolean
+     */
+    protected function _validateControllerInstance($controllerInstance)
+    {
+        return true;
+    }
 }
diff -rupN original/app/code/core/Mage/Core/Controller/Varien/Router/Standard.php modified/app/code/core/Mage/Core/Controller/Varien/Router/Standard.php
--- original/app/code/core/Mage/Core/Controller/Varien/Router/Standard.php	2010-02-12 19:24:53.000000000 +0000
+++ modified/app/code/core/Mage/Core/Controller/Varien/Router/Standard.php	2015-05-22 11:37:37.363962448 +0100
@@ -206,6 +206,10 @@ class Mage_Core_Controller_Varien_Router
             // instantiate controller class
             $controllerInstance = Mage::getControllerInstance($controllerClassName, $request, $front->getResponse());
 
+            if (!$this->_validateControllerInstance($controllerInstance)) {
+                continue;
+            }
+
             if (!$controllerInstance->hasAction($action)) {
                 continue;
             }
@@ -265,6 +269,17 @@ class Mage_Core_Controller_Varien_Router
     {
         return false;
     }
+    
+	/**
+     * Check if current controller instance is allowed in current router.
+     * 
+     * @param Mage_Core_Controller_Varien_Action $controllerInstance
+     * @return boolean
+     */
+	protected function _validateControllerInstance($controllerInstance)
+	{
+		return $controllerInstance instanceof Mage_Core_Controller_Front_Action;
+	}
 
     /**
      * Generating and validating class file name,
@@ -292,7 +307,6 @@ class Mage_Core_Controller_Varien_Router
         return $controllerClassName;
     }
 
-
     /**
      * @deprecated
      * @see _includeControllerClass()
diff -rupN original/app/code/core/Mage/Customer/Model/Customer.php modified/app/code/core/Mage/Customer/Model/Customer.php
--- original/app/code/core/Mage/Customer/Model/Customer.php	2010-02-12 19:22:29.000000000 +0000
+++ modified/app/code/core/Mage/Customer/Model/Customer.php	2015-05-22 11:40:52.160247176 +0100
@@ -215,8 +215,11 @@ class Mage_Customer_Model_Customer exten
      */
     public function getAddressById($addressId)
     {
-        return Mage::getModel('customer/address')
-            ->load($addressId);
+		$address = Mage::getModel('customer/address')->load($addressId);
+		if ($this->getId() == $address->getParentId()) {
+			return $address;
+		}
+		return Mage::getModel('customer/address');
     }
 
     /**
diff -rupN original/app/code/core/Mage/Dataflow/Model/Convert/Parser/Csv.php modified/app/code/core/Mage/Dataflow/Model/Convert/Parser/Csv.php
--- original/app/code/core/Mage/Dataflow/Model/Convert/Parser/Csv.php	2010-02-12 19:22:37.000000000 +0000
+++ modified/app/code/core/Mage/Dataflow/Model/Convert/Parser/Csv.php	2015-05-22 11:42:38.633588892 +0100
@@ -265,6 +265,10 @@ class Mage_Dataflow_Model_Convert_Parser
         $str = '';
 
         foreach ($fields as $value) {
+			if (substr($value, 0, 1) === '=') {
+				$value = ' ' . $value;
+			}
+
             if (strpos($value, $delimiter) !== false ||
                 empty($enclosure) ||
                 strpos($value, $enclosure) !== false ||
diff -rupN original/lib/PEAR/PEAR/PEAR.php modified/lib/PEAR/PEAR/PEAR.php
--- original/lib/PEAR/PEAR/PEAR.php	2010-02-12 19:27:37.000000000 +0000
+++ modified/lib/PEAR/PEAR/PEAR.php	2015-05-22 15:15:32.782958339 +0100
@@ -6,21 +6,15 @@
  *
  * PHP versions 4 and 5
  *
- * LICENSE: This source file is subject to version 3.0 of the PHP license
- * that is available through the world-wide-web at the following URI:
- * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
- * the PHP License and are unable to obtain it through the web, please
- * send a note to license@php.net so we can mail you a copy immediately.
- *
  * @category   pear
  * @package    PEAR
  * @author     Sterling Hughes <sterling@php.net>
  * @author     Stig Bakken <ssb@php.net>
  * @author     Tomas V.V.Cox <cox@idecnet.com>
  * @author     Greg Beaver <cellog@php.net>
- * @copyright  1997-2008 The PHP Group
- * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: PEAR.php,v 1.104 2008/01/03 20:26:34 cellog Exp $
+ * @copyright  1997-2010 The Authors
+ * @license    http://opensource.org/licenses/bsd-license.php New BSD License
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/PEAR
  * @since      File available since Release 0.1
  */
@@ -52,15 +46,6 @@ if (substr(PHP_OS, 0, 3) == 'WIN') {
     define('PEAR_OS',    'Unix'); // blatant assumption
 }
 
-// instant backwards compatibility
-if (!defined('PATH_SEPARATOR')) {
-    if (OS_WINDOWS) {
-        define('PATH_SEPARATOR', ';');
-    } else {
-        define('PATH_SEPARATOR', ':');
-    }
-}
-
 $GLOBALS['_PEAR_default_error_mode']     = PEAR_ERROR_RETURN;
 $GLOBALS['_PEAR_default_error_options']  = E_USER_NOTICE;
 $GLOBALS['_PEAR_destructor_object_list'] = array();
@@ -92,8 +77,8 @@ $GLOBALS['_PEAR_error_handler_stack']   
  * @author     Tomas V.V. Cox <cox@idecnet.com>
  * @author     Greg Beaver <cellog@php.net>
  * @copyright  1997-2006 The PHP Group
- * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    Release: 1.7.2
+ * @license    http://opensource.org/licenses/bsd-license.php New BSD License
+ * @version    Release: 1.9.5
  * @link       http://pear.php.net/package/PEAR
  * @see        PEAR_Error
  * @since      Class available since PHP 4.0.2
@@ -101,8 +86,6 @@ $GLOBALS['_PEAR_error_handler_stack']   
  */
 class PEAR
 {
-    // {{{ properties
-
     /**
      * Whether to enable internal debug messages.
      *
@@ -153,10 +136,6 @@ class PEAR
      */
     var $_expected_errors = array();
 
-    // }}}
-
-    // {{{ constructor
-
     /**
      * Constructor.  Registers this object in
      * $_PEAR_destructor_object_list for destructor emulation if a
@@ -173,9 +152,11 @@ class PEAR
         if ($this->_debug) {
             print "PEAR constructor called, class=$classname\n";
         }
+		
         if ($error_class !== null) {
             $this->_error_class = $error_class;
         }
+		
         while ($classname && strcasecmp($classname, "pear")) {
             $destructor = "_$classname";
             if (method_exists($this, $destructor)) {
@@ -192,9 +173,6 @@ class PEAR
         }
     }
 
-    // }}}
-    // {{{ destructor
-
     /**
      * Destructor (the emulated type of...).  Does nothing right now,
      * but is included for forward compatibility, so subclass
@@ -212,9 +190,6 @@ class PEAR
         }
     }
 
-    // }}}
-    // {{{ getStaticProperty()
-
     /**
     * If you have a class that's mostly/entirely static, and you need static
     * properties, you can use this method to simulate them. Eg. in your method(s)
@@ -227,21 +202,20 @@ class PEAR
     * @return mixed   A reference to the variable. If not set it will be
     *                 auto initialised to NULL.
     */
-    public static function &getStaticProperty($class, $var)
+    function &getStaticProperty($class, $var)
     {
         static $properties;
         if (!isset($properties[$class])) {
             $properties[$class] = array();
         }
+		
         if (!array_key_exists($var, $properties[$class])) {
             $properties[$class][$var] = null;
         }
+		
         return $properties[$class][$var];
     }
 
-    // }}}
-    // {{{ registerShutdownFunc()
-
     /**
     * Use this function to register a shutdown method for static
     * classes.
@@ -262,9 +236,6 @@ class PEAR
         $GLOBALS['_PEAR_shutdown_funcs'][] = array($func, $args);
     }
 
-    // }}}
-    // {{{ isError()
-
     /**
      * Tell whether a value is a PEAR error.
      *
@@ -276,22 +247,19 @@ class PEAR
      * @access  public
      * @return  bool    true if parameter is an error
      */
-    public static function isError($data, $code = null)
+    function isError($data, $code = null)
     {
-        if ($data instanceof PEAR_Error) {
-            if (is_null($code)) {
-                return true;
-            } elseif (is_string($code)) {
-                return $data->getMessage() == $code;
-            } else {
-                return $data->getCode() == $code;
-            }
+		if (!is_a($data, 'PEAR_Error')) {
+			return false;
         }
-        return false;
-    }
-
-    // }}}
-    // {{{ setErrorHandling()
+		if (is_null($code)) {
+			return true;
+		} elseif (is_string($code)) {
+			return $data->getMessage() == $code;
+		}
+	
+		return $data->getCode() == $code;
+	}
 
     /**
      * Sets how errors generated by this object should be handled.
@@ -331,7 +299,6 @@ class PEAR
      *
      * @since PHP 4.0.5
      */
-
     function setErrorHandling($mode = null, $options = null)
     {
         if (isset($this) && is_a($this, 'PEAR')) {
@@ -369,9 +336,6 @@ class PEAR
         }
     }
 
-    // }}}
-    // {{{ expectError()
-
     /**
      * This method is used to tell which errors you expect to get.
      * Expected errors are always returned with error mode
@@ -394,12 +358,9 @@ class PEAR
         } else {
             array_push($this->_expected_errors, array($code));
         }
-        return sizeof($this->_expected_errors);
+        return count($this->_expected_errors);
     }
 
-    // }}}
-    // {{{ popExpect()
-
     /**
      * This method pops one element off the expected error codes
      * stack.
@@ -410,10 +371,7 @@ class PEAR
     {
         return array_pop($this->_expected_errors);
     }
-
-    // }}}
-    // {{{ _checkDelExpect()
-
+	
     /**
      * This method checks unsets an error code if available
      *
@@ -425,8 +383,7 @@ class PEAR
     function _checkDelExpect($error_code)
     {
         $deleted = false;
-
-        foreach ($this->_expected_errors AS $key => $error_array) {
+		foreach ($this->_expected_errors as $key => $error_array) {
             if (in_array($error_code, $error_array)) {
                 unset($this->_expected_errors[$key][array_search($error_code, $error_array)]);
                 $deleted = true;
@@ -437,12 +394,10 @@ class PEAR
                 unset($this->_expected_errors[$key]);
             }
         }
+		
         return $deleted;
     }
-
-    // }}}
-    // {{{ delExpect()
-
+	
     /**
      * This method deletes all occurences of the specified element from
      * the expected error codes stack.
@@ -455,35 +410,26 @@ class PEAR
     function delExpect($error_code)
     {
         $deleted = false;
-
         if ((is_array($error_code) && (0 != count($error_code)))) {
-            // $error_code is a non-empty array here;
-            // we walk through it trying to unset all
-            // values
-            foreach($error_code as $key => $error) {
-                if ($this->_checkDelExpect($error)) {
-                    $deleted =  true;
-                } else {
-                    $deleted = false;
-                }
-            }
+			// $error_code is a non-empty array here; we walk through it trying
+			// to unset all values
+			foreach ($error_code as $key => $error) {
+				$deleted =  $this->_checkDelExpect($error) ? true : false;
+			}
+			
             return $deleted ? true : PEAR::raiseError("The expected error you submitted does not exist"); // IMPROVE ME
         } elseif (!empty($error_code)) {
             // $error_code comes alone, trying to unset it
             if ($this->_checkDelExpect($error_code)) {
                 return true;
-            } else {
-                return PEAR::raiseError("The expected error you submitted does not exist"); // IMPROVE ME
             }
-        } else {
-            // $error_code is empty
-            return PEAR::raiseError("The expected error you submitted is empty"); // IMPROVE ME
+			
+			return PEAR::raiseError("The expected error you submitted does not exist"); // IMPROVE ME
         }
-    }
-
-    // }}}
-    // {{{ raiseError()
-
+		// $error_code is empty
+		return PEAR::raiseError("The expected error you submitted is empty"); // IMPROVE ME
+	}
+	
     /**
      * This method is a wrapper that returns an instance of the
      * configured error class with this object's default error
@@ -521,7 +467,7 @@ class PEAR
      * @see PEAR::setErrorHandling
      * @since PHP 4.0.5
      */
-    public static function raiseError($message = null,
+    function &raiseError($message = null,
                          $code = null,
                          $mode = null,
                          $options = null,
@@ -538,13 +484,20 @@ class PEAR
             $message     = $message->getMessage();
         }
 
-        if (isset($this) && isset($this->_expected_errors) && sizeof($this->_expected_errors) > 0 && sizeof($exp = end($this->_expected_errors))) {
+		if (
+			isset($this) &&
+			isset($this->_expected_errors) &&
+			count($this->_expected_errors) > 0 &&
+			count($exp = end($this->_expected_errors))
+		) {
             if ($exp[0] == "*" ||
                 (is_int(reset($exp)) && in_array($code, $exp)) ||
-                (is_string(reset($exp)) && in_array($message, $exp))) {
+                (is_string(reset($exp)) && in_array($message, $exp))
+			) {
                 $mode = PEAR_ERROR_RETURN;
             }
         }
+		
         // No mode given, try global ones
         if ($mode === null) {
             // Class error handler
@@ -570,41 +523,46 @@ class PEAR
             include 'PEAR/FixPHP5PEARWarnings.php';
             return $a;
         }
+		
         if ($skipmsg) {
             $a = new $ec($code, $mode, $options, $userinfo);
         } else {
             $a = new $ec($message, $code, $mode, $options, $userinfo);
         }
+		
         return $a;
     }
 
-    // }}}
-    // {{{ throwError()
-
     /**
      * Simpler form of raiseError with fewer options.  In most cases
      * message, code and userinfo are enough.
      *
-     * @param string $message
+     * @param mixed $message a text error message or a PEAR error object
      *
+	 * @param int $code      a numeric error code (it is up to your class
+	 *                  to define these if you want to use codes)
+	 *
+	 * @param string $userinfo If you need to pass along for example debug
+	 *                  information, this parameter is meant for that.
+	 *
+	 * @access public
+	 * @return object   a PEAR error object
+	 * @see PEAR::raiseError
      */
-    function &throwError($message = null,
-                         $code = null,
-                         $userinfo = null)
+    function &throwError($message = null, $code = null, $userinfo = null)
     {
         if (isset($this) && is_a($this, 'PEAR')) {
             $a = &$this->raiseError($message, $code, null, null, $userinfo);
             return $a;
-        } else {
-            $a = &PEAR::raiseError($message, $code, null, null, $userinfo);
-            return $a;
         }
+		
+		$a = &PEAR::raiseError($message, $code, null, null, $userinfo);
+		return $a;
     }
 
-    // }}}
     function staticPushErrorHandling($mode, $options = null)
     {
-        $stack = &$GLOBALS['_PEAR_error_handler_stack'];
+		$stack       = &$GLOBALS['_PEAR_error_handler_stack'];
         $def_mode    = &$GLOBALS['_PEAR_default_error_mode'];
         $def_options = &$GLOBALS['_PEAR_default_error_options'];
         $stack[] = array($def_mode, $def_options);
@@ -673,8 +631,6 @@ class PEAR
         return true;
     }
 
-    // {{{ pushErrorHandling()
-
     /**
      * Push a new error handler on top of the error handler options stack. With this
      * you can easily override the actual error handler for some code and restore
@@ -708,9 +664,6 @@ class PEAR
         return true;
     }
 
-    // }}}
-    // {{{ popErrorHandling()
-
     /**
     * Pop the last error handler used
     *
@@ -732,11 +685,8 @@ class PEAR
         return true;
     }
 
-    // }}}
-    // {{{ loadExtension()
-
     /**
-    * OS independant PHP extension load. Remember to take care
+    * OS independent PHP extension load. Remember to take care
     * on the correct extension name for case sensitive OSes.
     *
     * @param string $ext The extension name
@@ -744,32 +694,34 @@ class PEAR
     */
     function loadExtension($ext)
     {
-        if (!extension_loaded($ext)) {
-            // if either returns true dl() will produce a FATAL error, stop that
-            if ((ini_get('enable_dl') != 1) || (ini_get('safe_mode') == 1)) {
-                return false;
-            }
-            if (OS_WINDOWS) {
-                $suffix = '.dll';
-            } elseif (PHP_OS == 'HP-UX') {
-                $suffix = '.sl';
-            } elseif (PHP_OS == 'AIX') {
-                $suffix = '.a';
-            } elseif (PHP_OS == 'OSX') {
-                $suffix = '.bundle';
-            } else {
-                $suffix = '.so';
-            }
-            return @dl('php_'.$ext.$suffix) || @dl($ext.$suffix);
-        }
-        return true;
-    }
-
-    // }}}
+		if (extension_loaded($ext)) {
+			return true;
+		}
+		
+		// if either returns true dl() will produce a FATAL error, stop that
+		if (
+			function_exists('dl') === false ||
+			ini_get('enable_dl') != 1 ||
+			ini_get('safe_mode') == 1
+		) {
+			return false;
+        }
+		if (OS_WINDOWS) {
+			$suffix = '.dll';
+		} elseif (PHP_OS == 'HP-UX') {
+			$suffix = '.sl';
+		} elseif (PHP_OS == 'AIX') {
+			$suffix = '.a';
+		} elseif (PHP_OS == 'OSX') {
+			$suffix = '.bundle';
+		} else {
+			$suffix = '.so';
+		}
+	
+		return @dl('php_'.$ext.$suffix) || @dl($ext.$suffix);
+	}
 }
 
-// {{{ _PEAR_call_destructors()
-
 function _PEAR_call_destructors()
 {
     global $_PEAR_destructor_object_list;
@@ -777,9 +729,12 @@ function _PEAR_call_destructors()
         sizeof($_PEAR_destructor_object_list))
     {
         reset($_PEAR_destructor_object_list);
-        if (PEAR::getStaticProperty('PEAR', 'destructlifo')) {
+        $destructLifoExists = PEAR::getStaticProperty('PEAR', 'destructlifo');
+		
+        if ($destructLifoExists) {
             $_PEAR_destructor_object_list = array_reverse($_PEAR_destructor_object_list);
         }
+		
         while (list($k, $objref) = each($_PEAR_destructor_object_list)) {
             $classname = get_class($objref);
             while ($classname) {
@@ -798,14 +753,17 @@ function _PEAR_call_destructors()
     }
 
     // Now call the shutdown functions
-    if (is_array($GLOBALS['_PEAR_shutdown_funcs']) AND !empty($GLOBALS['_PEAR_shutdown_funcs'])) {
+	if (
+		isset($GLOBALS['_PEAR_shutdown_funcs']) &&
+		is_array($GLOBALS['_PEAR_shutdown_funcs']) &&
+		!empty($GLOBALS['_PEAR_shutdown_funcs'])
+	) {
         foreach ($GLOBALS['_PEAR_shutdown_funcs'] as $value) {
             call_user_func_array($value[0], $value[1]);
         }
     }
 }
 
-// }}}
 /**
  * Standard PEAR error class for PHP 4
  *
@@ -817,16 +775,14 @@ function _PEAR_call_destructors()
  * @author     Tomas V.V. Cox <cox@idecnet.com>
  * @author     Gregory Beaver <cellog@php.net>
  * @copyright  1997-2006 The PHP Group
- * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    Release: 1.7.2
+ * @license    http://opensource.org/licenses/bsd-license.php New BSD License
+ * @version    Release: 1.9.5
  * @link       http://pear.php.net/manual/en/core.pear.pear-error.php
  * @see        PEAR::raiseError(), PEAR::throwError()
  * @since      Class available since PHP 4.0.2
  */
 class PEAR_Error
 {
-    // {{{ properties
-
     var $error_message_prefix = '';
     var $mode                 = PEAR_ERROR_RETURN;
     var $level                = E_USER_NOTICE;
@@ -835,9 +791,6 @@ class PEAR_Error
     var $userinfo             = '';
     var $backtrace            = null;
 
-    // }}}
-    // {{{ constructor
-
     /**
      * PEAR_Error constructor
      *
@@ -868,12 +821,16 @@ class PEAR_Error
         $this->code      = $code;
         $this->mode      = $mode;
         $this->userinfo  = $userinfo;
-        if (!PEAR::getStaticProperty('PEAR_Error', 'skiptrace')) {
+	
+		$skiptrace = PEAR::getStaticProperty('PEAR_Error', 'skiptrace');
+		
+		if (!$skiptrace) {
             $this->backtrace = debug_backtrace();
             if (isset($this->backtrace[0]) && isset($this->backtrace[0]['object'])) {
                 unset($this->backtrace[0]['object']);
             }
         }
+		
         if ($mode & PEAR_ERROR_CALLBACK) {
             $this->level = E_USER_NOTICE;
             $this->callback = $options;
@@ -881,20 +838,25 @@ class PEAR_Error
             if ($options === null) {
                 $options = E_USER_NOTICE;
             }
+			
             $this->level = $options;
             $this->callback = null;
         }
+		
         if ($this->mode & PEAR_ERROR_PRINT) {
             if (is_null($options) || is_int($options)) {
                 $format = "%s";
             } else {
                 $format = $options;
             }
+			
             printf($format, $this->getMessage());
         }
+		
         if ($this->mode & PEAR_ERROR_TRIGGER) {
             trigger_error($this->getMessage(), $this->level);
         }
+		
         if ($this->mode & PEAR_ERROR_DIE) {
             $msg = $this->getMessage();
             if (is_null($options) || is_int($options)) {
@@ -907,47 +869,39 @@ class PEAR_Error
             }
             die(sprintf($format, $msg));
         }
-        if ($this->mode & PEAR_ERROR_CALLBACK) {
-            if (is_callable($this->callback)) {
-                call_user_func($this->callback, $this);
-            }
+
+		if ($this->mode & PEAR_ERROR_CALLBACK && is_callable($this->callback)) {
+			call_user_func($this->callback, $this);
         }
+		
         if ($this->mode & PEAR_ERROR_EXCEPTION) {
             trigger_error("PEAR_ERROR_EXCEPTION is obsolete, use class PEAR_Exception for exceptions", E_USER_WARNING);
             eval('$e = new Exception($this->message, $this->code);throw($e);');
         }
     }
 
-    // }}}
-    // {{{ getMode()
-
     /**
      * Get the error mode from an error object.
      *
      * @return int error mode
      * @access public
      */
-    function getMode() {
+    function getMode()
+	{
         return $this->mode;
     }
 
-    // }}}
-    // {{{ getCallback()
-
     /**
      * Get the callback function/method from an error object.
      *
      * @return mixed callback function or object/method array
      * @access public
      */
-    function getCallback() {
+    function getCallback()
+	{
         return $this->callback;
     }
 
-    // }}}
-    // {{{ getMessage()
-
-
     /**
      * Get the error message from an error object.
      *
@@ -959,10 +913,6 @@ class PEAR_Error
         return ($this->error_message_prefix . $this->message);
     }
 
-
-    // }}}
-    // {{{ getCode()
-
     /**
      * Get error code from an error object
      *
@@ -974,9 +924,6 @@ class PEAR_Error
         return $this->code;
      }
 
-    // }}}
-    // {{{ getType()
-
     /**
      * Get the name of this error/exception.
      *
@@ -988,9 +935,6 @@ class PEAR_Error
         return get_class($this);
     }
 
-    // }}}
-    // {{{ getUserInfo()
-
     /**
      * Get additional user-supplied information.
      *
@@ -1002,9 +946,6 @@ class PEAR_Error
         return $this->userinfo;
     }
 
-    // }}}
-    // {{{ getDebugInfo()
-
     /**
      * Get additional debug information supplied by the application.
      *
@@ -1016,9 +957,6 @@ class PEAR_Error
         return $this->getUserInfo();
     }
 
-    // }}}
-    // {{{ getBacktrace()
-
     /**
      * Get the call backtrace from where the error was generated.
      * Supported with PHP 4.3.0 or newer.
@@ -1038,9 +976,6 @@ class PEAR_Error
         return $this->backtrace[$frame];
     }
 
-    // }}}
-    // {{{ addUserInfo()
-
     function addUserInfo($info)
     {
         if (empty($this->userinfo)) {
@@ -1050,14 +985,10 @@ class PEAR_Error
         }
     }
 
-    // }}}
-    // {{{ toString()
     function __toString()
     {
         return $this->getMessage();
     }
-    // }}}
-    // {{{ toString()
 
     /**
      * Make a string representation of this object.
@@ -1065,7 +996,8 @@ class PEAR_Error
      * @return string a string with an object summary
      * @access public
      */
-    function toString() {
+    function toString()
+	{
         $modes = array();
         $levels = array(E_USER_NOTICE  => 'notice',
                         E_USER_WARNING => 'warning',
@@ -1104,8 +1036,6 @@ class PEAR_Error
                        $this->error_message_prefix,
                        $this->userinfo);
     }
-
-    // }}}
 }
 
 /*
diff -rupN original/lib/Varien/Io/File.php modified/lib/Varien/Io/File.php
--- original/lib/Varien/Io/File.php	2010-02-12 19:27:33.000000000 +0000
+++ modified/lib/Varien/Io/File.php	2015-05-22 12:17:55.500649547 +0100
@@ -224,6 +224,17 @@ class Varien_Io_File extends Varien_Io_A
         if (!$this->_streamHandler) {
             return false;
         }
+	
+		/**
+		* Security enchancement for CSV data processing by Excel-like applications.
+		* @see https://bugzilla.mozilla.org/show_bug.cgi?id=1054702
+		*/
+		foreach ($row as $key => $value) {
+			if (substr($value, 0, 1) === '=') {
+				$row[$key] = ' ' . $value;
+			}
+		}
+	
         return @fputcsv($this->_streamHandler, $row, $delimiter, $enclosure);
     }
 
